aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-system-monitor/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alancordeiro@gmail.com>2015-05-05 19:32:10 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2015-05-06 16:38:36 +0200
commit14b146af20396f7be63379ad188bc325e5c34d82 (patch)
tree6cf0e239ca3622c117df212609dccb025f2e294e /testing/mate-system-monitor/APKBUILD
parent93987778185d59880e7ec04461e39f886b0ec085 (diff)
downloadaports-14b146af20396f7be63379ad188bc325e5c34d82.tar.gz
aports-14b146af20396f7be63379ad188bc325e5c34d82.tar.bz2
aports-14b146af20396f7be63379ad188bc325e5c34d82.tar.xz
testing/mate-system-monitor: new aport
Diffstat (limited to 'testing/mate-system-monitor/APKBUILD')
-rw-r--r--testing/mate-system-monitor/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/mate-system-monitor/APKBUILD b/testing/mate-system-monitor/APKBUILD
new file mode 100644
index 0000000000..b8beb3a1b9
--- /dev/null
+++ b/testing/mate-system-monitor/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda@alpinelinux.org>
+pkgname=mate-system-monitor
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="A system monitor for MATE"
+url="https://github.com/mate-desktop/mate-system-monitor"
+arch="all"
+license="GPLv2"
+depends="mate-icon-theme"
+depends_dev=""
+makedepends="$depends_dev gtk+2.0-dev libwnck-dev gtkmm-dev libgtop-dev
+ librsvg-dev glibmm-dev itstool linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --sysconfdir=/etc \
+ --prefix=/usr \
+ --enable-all-themes || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="9b3a2449a0e36bb309fdd9676d99d7d1 mate-system-monitor-1.9.90.tar.xz"
+sha256sums="ffa14a29ae6fda1399cf46c4e52850edb4696e79fab3b4c35944cd5ed7a8b053 mate-system-monitor-1.9.90.tar.xz"
+sha512sums="7610cf945bfc9a5d41169b54dcdc4cb4e65b76cee06505102766342fdbf365dbb6ab4b07bc15a6ac2b91b08359b5785f2f6a8c9500e38b7c089c48c4bff8a661 mate-system-monitor-1.9.90.tar.xz"